"use client";
import { jsx } from "react/jsx-runtime";
import { createContext, useContext, useMemo } from "react";
import { createEmptyHistoryState } from "@lexical/react/LexicalHistoryPlugin";
const Context = /*#__PURE__*/ createContext({});
const SharedHistoryContext = ({ children })=>{
    const historyContext = useMemo(()=>({
            historyState: createEmptyHistoryState()
        }), []);
    return /*#__PURE__*/ jsx(Context.Provider, {
        value: historyContext,
        children: children
    });
};
const useSharedHistoryContext = ()=>useContext(Context);
export { SharedHistoryContext, useSharedHistoryContext };
